﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace EditTabModule
{
    /// <summary>
    /// Interaction logic for FontBar.xaml
    /// </summary>
    public partial class EditTab : RibbonTab
    {
        public EditTab()
        {
            InitializeComponent();
            InitializeFontSizeComboBox(format_fontSizeBox);
            InitializeFontComboBox(format_fontNameBox);
        }

        private void InitializeFontComboBox(RibbonComboBox r_Combo)
        {
            r_Combo.Items.Clear();
            foreach (FontFamily fontFamily in Fonts.SystemFontFamilies)
            {
                RibbonComboBoxItem item = new RibbonComboBoxItem();
                item.Content = fontFamily;
                
                r_Combo.Items.Add(item);
            }
            r_Combo.SelectedIndex = 0;
        }

        private void InitializeFontSizeComboBox(RibbonComboBox r_combo)
        {
            r_combo.Items.Clear();
            int[] sizes = new int[15] { 8, 9, 10, 11, 12, 14, 16, 18, 20, 22, 24, 28, 36, 48, 72 };
            for (int i = 0, cnt = sizes.Length; i < cnt; ++i)
            {
                RibbonComboBoxItem item = new RibbonComboBoxItem();
                item.Content = sizes[i];
                
                r_combo.Items.Add(item);
            }

            r_combo.SelectedIndex = 0;
        }

        private void OnFontNameChanged(object sender, SelectionChangedEventArgs e)
        {

        }

        private void OnFontSizeChanged(object sender, SelectionChangedEventArgs e)
        {

        }
    }
}
